import { AuthDto } from "../dtos/auth.dto";
import { WorkflowCreateDto, WorkflowResponseDto, WorkflowSearchDto, WorkflowShareResponseDto, WorkflowTriggerResponseDto, WorkflowUpdateDto } from "../dtos/workflow.dto";
import { WorkflowService } from "../services/workflow.service";
import { UUIDParamDto } from "../validation";
export declare class WorkflowController {
    private service;
    constructor(service: WorkflowService);
    createWorkflow(auth: AuthDto, dto: WorkflowCreateDto): Promise<WorkflowResponseDto>;
    searchWorkflows(auth: AuthDto, dto: WorkflowSearchDto): Promise<WorkflowResponseDto[]>;
    getWorkflowTriggers(): WorkflowTriggerResponseDto[];
    getWorkflow(auth: AuthDto, { id }: UUIDParamDto): Promise<WorkflowResponseDto>;
    getWorkflowForShare(auth: AuthDto, { id }: UUIDParamDto): Promise<WorkflowShareResponseDto>;
    updateWorkflow(auth: AuthDto, { id }: UUIDParamDto, dto: WorkflowUpdateDto): Promise<WorkflowResponseDto>;
    updateWorkflowV3(auth: AuthDto, { id }: UUIDParamDto, dto: WorkflowUpdateDto): Promise<WorkflowResponseDto>;
    deleteWorkflow(auth: AuthDto, { id }: UUIDParamDto): Promise<void>;
}
